#' @docType data
#' @name CECERS
#'
#' @title Chinese Early Childhood Environment Rating Scale
#' @description   The CECERS uses a 9-point scoring
#' system, 1-3 (inadequate), 5 (least acceptable), 7 (good), and 9 (excellent), to measure the quality
#' of Chinese early children education (ECE) programs for children aged 3 to 6.
#' The CECERS has a total of 51 items organized in eight categories: (1) Space and Furnishings (9 items); (2) Personal
#' Care Routines (6 items); (3) Curriculum Planning and Implementation (5 items); (4) Whole-Group
#' Instruction (7 items); (5) Activities (9 items); (6) Language-Reasoning (4 items); (7) Guidance and
#' Interaction (5 items); (8) Parents and Staff (6 items).
#'
#' @format A data frame with 1383 rows and 95 variables:

#' @source Kejian Li, Peng Zhang, Bi Ying Hu, Margaret R Burchinal, Xitao Fan, and Jinliang Qin. Testing
#' the ‘thresholds’ of preschool education quality on child outcomes in china. Early Childhood
#' Research Quarterly, 47:445–456, 2019.
NULL
